searchData={"items":[{"type":"module","title":"Opml","doc":"Parser module for OPML (Outline Processor Markup Language) files.\n\nThis module provides functionality to parse OPML files from either URLs or direct XML content,\nand converts the OPML structure into a more usable JSON-like map structure.","ref":"Opml.html"},{"type":"function","title":"Opml.build/2","doc":"构建OPML XML字符串。","ref":"Opml.html#build/2"},{"type":"function","title":"参数 - Opml.build/2","doc":"* `outlines` - 大纲元素列表\n  * `options` - 可选配置项","ref":"Opml.html#build/2-%E5%8F%82%E6%95%B0"},{"type":"function","title":"返回 - Opml.build/2","doc":"* 符合OPML 2.0规范的XML字符串","ref":"Opml.html#build/2-%E8%BF%94%E5%9B%9E"},{"type":"function","title":"Opml.parse/1","doc":"Parses an OPML file from either a URL or direct XML content.\nReturns a structured map representation of the OPML data.","ref":"Opml.html#parse/1"},{"type":"function","title":"Parameters - Opml.parse/1","doc":"* `data` - A URL string pointing to an OPML file or a string containing OPML XML content","ref":"Opml.html#parse/1-parameters"},{"type":"function","title":"Returns - Opml.parse/1","doc":"* `{:ok, map}` - Successfully parsed OPML data as a map\n  * `{:error, reason}` - Error occurred during parsing","ref":"Opml.html#parse/1-returns"},{"type":"module","title":"Opml.Builder","doc":"Module for building OPML files.\n\nThis module provides functionality to convert Elixir data structures into XML strings conforming to the OPML 2.0 specification.","ref":"Opml.Builder.html"},{"type":"function","title":"Opml.Builder.build/2","doc":"Converts a data structure into an OPML XML string.","ref":"Opml.Builder.html#build/2"},{"type":"function","title":"Parameters - Opml.Builder.build/2","doc":"* `outlines` - list of outline elements\n  * `options` - optional configuration\n    * `:version` - OPML version, defaults to \"2.0\"\n    * `:title` - document title\n    * `:date_created` - creation date\n    * `:date_modified` - modification date\n    * `:owner_name` - owner name\n    * `:owner_email` - owner email\n    * other head element attributes","ref":"Opml.Builder.html#build/2-parameters"},{"type":"function","title":"Returns - Opml.Builder.build/2","doc":"* XML string conforming to OPML 2.0 specification","ref":"Opml.Builder.html#build/2-returns"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}